<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [TableListProps](./react.tablelistprops.md)

## TableListProps interface

<b>Signature:</b>

```typescript
export interface TableListProps 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [onSelect?](./react.tablelistprops.onselect.md) |  | (name: string) =&gt; void | <i>(Optional)</i> |
|  [selected?](./react.tablelistprops.selected.md) |  | string | <i>(Optional)</i> |
|  [tables](./react.tablelistprops.tables.md) |  | TableContainer\[\] |  |

